# m-labs with zola


## Getting Started

These instructions will get you a copy of the project up and running on your local machine for development and testing purposes. See deployment for notes on how to deploy the project on a live system.


### Prerequisites

What things you need to install the software and how to install them

- Docker Community Edition (Docker Engine Community)

  [https://docs.docker.com/install/](https://docs.docker.com/install/)

  **You may need to create a dockerhub account to download docker.**


### Installing

A step by step series of examples that tell you how to get a development env running


1. Clone the project

  ```
  git clone https://github.com/sovanna/m-labs-zola.git \
  && cd m-labs-zola
  ```

2. Build the docker container for development

  ```
  cd <path-to-workspace>/m-labs/zola/website

  docker run \
    -p 1111:1111 \
    -v "$PWD:/usr/src/app/website" \
    --name mlabs-zola \
    -it \
    sovanna/zola

  ctrl+d # to exit the container
  ```

3. Start

  ```
  docker start mlabs-zola
  docker exec -it mlabs-zola /bin/bash
  cd website
  zola serve --interface 0.0.0.0 --port 1111
  ```